## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate wasmtime-runtime

Name:           rust-%{crate}
Version:        0.35.3
Release:        %autorelease
Summary:        Runtime library support for Wasmtime

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0
URL:            https://crates.io/crates/wasmtime-runtime
Source:         %{crates_source}
# Initial patched metadata
# * drop non-linux dependencies
Patch0:         wasmtime-runtime-fix-metadata.diff

# cranelift only supports x86_64, aarch64, and s390x
# * i686:    https://bugzilla.redhat.com/show_bug.cgi?id=1966344
# * armv7hl: https://bugzilla.redhat.com/show_bug.cgi?id=1966346
# * ppc64le: https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExclusiveArch:  x86_64 aarch64 s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Runtime library support for Wasmtime.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-devel %{_description}

This package contains library source intended for building other packages which
use the "async" feature of the "%{crate}" crate.

%files       -n %{name}+async-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memfd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memfd-devel %{_description}

This package contains library source intended for building other packages which
use the "memfd" feature of the "%{crate}" crate.

%files       -n %{name}+memfd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memory-init-cow-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memory-init-cow-devel %{_description}

This package contains library source intended for building other packages which
use the "memory-init-cow" feature of the "%{crate}" crate.

%files       -n %{name}+memory-init-cow-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pooling-allocator-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pooling-allocator-devel %{_description}

This package contains library source intended for building other packages which
use the "pooling-allocator" feature of the "%{crate}" crate.

%files       -n %{name}+pooling-allocator-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+posix-signals-on-macos-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+posix-signals-on-macos-devel %{_description}

This package contains library source intended for building other packages which
use the "posix-signals-on-macos" feature of the "%{crate}" crate.

%files       -n %{name}+posix-signals-on-macos-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+uffd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+uffd-devel %{_description}

This package contains library source intended for building other packages which
use the "uffd" feature of the "%{crate}" crate.

%files       -n %{name}+uffd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+userfaultfd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+userfaultfd-devel %{_description}

This package contains library source intended for building other packages which
use the "userfaultfd" feature of the "%{crate}" crate.

%files       -n %{name}+userfaultfd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasmtime-fiber-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime-fiber-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime-fiber" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime-fiber-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.35.3-1
- Update to version 0.35.3; Fixes RHBZ#2075222

* Thu Mar 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.0-1
- Initial import (#2051022)
